Clause Struct Reference

A single clause. More...

`#include <apt-pkg/solver3.h>`

Collaboration diagram for Clause:
[legend]

## Public Member Functions

| Clause (Var reason, Group group, bool optional=false, bool negative=false)
std::string | toString (pkgCache &cache, bool pretty=false, bool showMerged=true) const

## Public Attributes

pkgCache::Dependency * | dep = nullptr
Var | reason
Group | group
std::vector< Var > | solutions {}
bool | optional
bool | negative
bool | eager
std::forward_list< Clause > | merged

## Detailed Description

A single clause.

A clause is a normalized, expanded dependency, translated into an implication in terms of Var objects, that is, reason -> solutions[0] | ... | solutions[n]

The documentation for this struct was generated from the following files:

- apt-pkg/solver3.h
- apt-pkg/solver3.cc